<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>hosts.equiv — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-22CD0DBC.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>hosts.equiv</span>
</h1>

<p>hosts.equiv(5)                                                           File Formats Manual                                                          hosts.equiv(5)</p><p>NAME</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">hosts</span><span class="o">.</span><span class="n">equiv</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">list</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">hosts</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">granted</span><span class="w"> </span><span class="s">&quot;trusted&quot;</span><span class="w"> </span><span class="n">r</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">access</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">your</span><span class="w"> </span><span class="n">system</span></code></pre><p>DESCRIPTION</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">The</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">hosts</span><span class="o">.</span><span class="n">equiv</span><span class="w"> </span><span class="n">allows</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">denies</span><span class="w"> </span><span class="n">hosts</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">r</span><span class="o">-</span><span class="n">commands</span><span class="w"> </span><span class="p" data-group-id="7077102980-1">(</span><span class="n">e</span><span class="o">.</span><span class="n">g</span><span class="o">.</span><span class="p">,</span><span class="w"> </span><span class="n">rlogin</span><span class="p">,</span><span class="w"> </span><span class="n">rsh</span><span class="p">,</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="n">rcp</span><span class="p" data-group-id="7077102980-1">)</span><span class="w"> </span><span class="n">without</span><span class="w"> </span><span class="n">supplying</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">password</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">uses</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">following</span><span class="w"> </span><span class="ss">format</span><span class="p">:</span><span class="w">

   </span><span class="o">+</span><span class="o">|</span><span class="p" data-group-id="7077102980-2">[</span><span class="o">-</span><span class="p" data-group-id="7077102980-2">]</span><span class="n">hostname</span><span class="o">|</span><span class="o">+</span><span class="na">@netgroup</span><span class="o">|</span><span class="o">-</span><span class="na">@netgroup</span><span class="w"> </span><span class="p" data-group-id="7077102980-3">[</span><span class="o">+</span><span class="o">|</span><span class="p" data-group-id="7077102980-4">[</span><span class="o">-</span><span class="p" data-group-id="7077102980-4">]</span><span class="n">username</span><span class="o">|</span><span class="o">+</span><span class="na">@netgroup</span><span class="o">|</span><span class="o">-</span><span class="na">@netgroup</span><span class="p" data-group-id="7077102980-3">]</span><span class="w">

   </span><span class="nc">The</span><span class="w">  </span><span class="n">hostname</span><span class="w">  </span><span class="n">is</span><span class="w">  </span><span class="n">the</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">logically</span><span class="w"> </span><span class="n">equivalent</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">local</span><span class="w"> </span><span class="n">host</span><span class="o">.</span><span class="w">  </span><span class="nc">Users</span><span class="w"> </span><span class="n">logged</span><span class="w"> </span><span class="n">into</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">allowed</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">access</span><span class="w"> </span><span class="n">like</span><span class="o">-</span><span class="n">named</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">ac</span><span class="err">‐</span><span class="w">
   </span><span class="n">counts</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">local</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">without</span><span class="w"> </span><span class="n">supplying</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">password</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">hostname</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="p" data-group-id="7077102980-5">(</span><span class="n">optionally</span><span class="p" data-group-id="7077102980-5">)</span><span class="w"> </span><span class="n">preceded</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">plus</span><span class="w"> </span><span class="p" data-group-id="7077102980-6">(</span><span class="o">+</span><span class="p" data-group-id="7077102980-6">)</span><span class="w"> </span><span class="n">sign</span><span class="o">.</span><span class="w">  </span><span class="nc">If</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">plus</span><span class="w"> </span><span class="n">sign</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">used</span><span class="w"> </span><span class="n">alone</span><span class="p">,</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">al</span><span class="err">‐</span><span class="w">
   </span><span class="n">lows</span><span class="w">  </span><span class="n">any</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">access</span><span class="w"> </span><span class="n">your</span><span class="w"> </span><span class="n">system</span><span class="o">.</span><span class="w">  </span><span class="nc">You</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">explicitly</span><span class="w"> </span><span class="n">deny</span><span class="w"> </span><span class="n">access</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">preceding</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">hostname</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">minus</span><span class="w"> </span><span class="p" data-group-id="7077102980-7">(</span><span class="o">-</span><span class="p" data-group-id="7077102980-7">)</span><span class="w"> </span><span class="n">sign</span><span class="o">.</span><span class="w">  </span><span class="nc">Users</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">must</span><span class="w"> </span><span class="n">al</span><span class="err">‐</span><span class="w">
   </span><span class="n">ways</span><span class="w"> </span><span class="n">supply</span><span class="w"> </span><span class="n">additional</span><span class="w"> </span><span class="n">credentials</span><span class="p">,</span><span class="w"> </span><span class="n">including</span><span class="w"> </span><span class="n">possibly</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">password</span><span class="o">.</span><span class="w">  </span><span class="nc">For</span><span class="w"> </span><span class="n">security</span><span class="w"> </span><span class="n">reasons</span><span class="w"> </span><span class="n">you</span><span class="w"> </span><span class="n">should</span><span class="w"> </span><span class="n">always</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">FQDN</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">hostname</span><span class="w">  </span><span class="ow">and</span><span class="w">  </span><span class="ow">not</span><span class="w">  </span><span class="n">the</span><span class="w">  </span><span class="n">short</span><span class="w">
   </span><span class="n">hostname</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w">  </span><span class="n">username</span><span class="w">  </span><span class="n">entry</span><span class="w"> </span><span class="n">grants</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">specific</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">access</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">accounts</span><span class="w"> </span><span class="p" data-group-id="7077102980-8">(</span><span class="n">except</span><span class="w"> </span><span class="n">root</span><span class="p" data-group-id="7077102980-8">)</span><span class="w"> </span><span class="n">without</span><span class="w"> </span><span class="n">supplying</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">password</span><span class="o">.</span><span class="w">  </span><span class="nc">That</span><span class="w"> </span><span class="n">means</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="nc">NOT</span><span class="w"> </span><span class="n">restricted</span><span class="w"> </span><span class="n">to</span><span class="w">
   </span><span class="n">like</span><span class="o">-</span><span class="n">named</span><span class="w"> </span><span class="n">accounts</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">username</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="p" data-group-id="7077102980-9">(</span><span class="n">optionally</span><span class="p" data-group-id="7077102980-9">)</span><span class="w"> </span><span class="n">preceded</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">plus</span><span class="w"> </span><span class="p" data-group-id="7077102980-10">(</span><span class="o">+</span><span class="p" data-group-id="7077102980-10">)</span><span class="w"> </span><span class="n">sign</span><span class="o">.</span><span class="w">  </span><span class="nc">You</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">also</span><span class="w"> </span><span class="n">explicitly</span><span class="w"> </span><span class="n">deny</span><span class="w"> </span><span class="n">access</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">specific</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">preceding</span><span class="w">  </span><span class="n">the</span><span class="w">
   </span><span class="n">username</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">minus</span><span class="w"> </span><span class="p" data-group-id="7077102980-11">(</span><span class="o">-</span><span class="p" data-group-id="7077102980-11">)</span><span class="w"> </span><span class="n">sign</span><span class="o">.</span><span class="w">  </span><span class="nc">This</span><span class="w"> </span><span class="n">says</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">trusted</span><span class="w"> </span><span class="n">no</span><span class="w"> </span><span class="n">matter</span><span class="w"> </span><span class="n">what</span><span class="w"> </span><span class="n">other</span><span class="w"> </span><span class="n">entries</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">exist</span><span class="o">.</span><span class="w">

   </span><span class="nc">Netgroups</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">specified</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">preceding</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">netgroup</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="err">@</span><span class="w"> </span><span class="n">sign</span><span class="o">.</span><span class="w">

   </span><span class="nc">Be</span><span class="w">  </span><span class="n">extremely</span><span class="w">  </span><span class="n">careful</span><span class="w"> </span><span class="ow">when</span><span class="w"> </span><span class="n">using</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">plus</span><span class="w"> </span><span class="p" data-group-id="7077102980-12">(</span><span class="o">+</span><span class="p" data-group-id="7077102980-12">)</span><span class="w"> </span><span class="n">sign</span><span class="o">.</span><span class="w">  </span><span class="nc">A</span><span class="w"> </span><span class="n">simple</span><span class="w"> </span><span class="n">typographical</span><span class="w"> </span><span class="n">error</span><span class="w"> </span><span class="n">could</span><span class="w"> </span><span class="n">result</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">standalone</span><span class="w"> </span><span class="n">plus</span><span class="w"> </span><span class="n">sign</span><span class="o">.</span><span class="w">  </span><span class="nc">A</span><span class="w"> </span><span class="n">standalone</span><span class="w"> </span><span class="n">plus</span><span class="w"> </span><span class="n">sign</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">wild</span><span class="err">‐</span><span class="w">
   </span><span class="n">card</span><span class="w"> </span><span class="n">character</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">means</span><span class="w"> </span><span class="s">&quot;any host&quot;</span><span class="o">!</span></code></pre><p>FILES</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">hosts</span><span class="o">.</span><span class="n">equiv</span></code></pre><p>NOTES</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Some</span><span class="w"> </span><span class="n">systems</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">honor</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">contents</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">only</span><span class="w"> </span><span class="ow">when</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">has</span><span class="w"> </span><span class="n">owner</span><span class="w"> </span><span class="n">root</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">no</span><span class="w"> </span><span class="n">write</span><span class="w"> </span><span class="n">permission</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">anybody</span><span class="w"> </span><span class="k">else</span><span class="o">.</span><span class="w">  </span><span class="nc">Some</span><span class="w"> </span><span class="n">exceptionally</span><span class="w"> </span><span class="n">paranoid</span><span class="w">  </span><span class="n">systems</span><span class="w">
   </span><span class="n">even</span><span class="w"> </span><span class="kn">require</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">there</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">no</span><span class="w"> </span><span class="n">other</span><span class="w"> </span><span class="n">hard</span><span class="w"> </span><span class="n">links</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="o">.</span><span class="w">

   </span><span class="nc">Modern</span><span class="w">  </span><span class="n">systems</span><span class="w">  </span><span class="kn">use</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">Pluggable</span><span class="w"> </span><span class="nc">Authentication</span><span class="w"> </span><span class="nc">Modules</span><span class="w"> </span><span class="n">library</span><span class="w"> </span><span class="p" data-group-id="7242689394-1">(</span><span class="nc">PAM</span><span class="p" data-group-id="7242689394-1">)</span><span class="o">.</span><span class="w">  </span><span class="nc">With</span><span class="w"> </span><span class="nc">PAM</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">standalone</span><span class="w"> </span><span class="n">plus</span><span class="w"> </span><span class="n">sign</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">considered</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">wildcard</span><span class="w"> </span><span class="n">character</span><span class="w"> </span><span class="n">which</span><span class="w"> </span><span class="n">means</span><span class="w"> </span><span class="s">&quot;any
   host&quot;</span><span class="w"> </span><span class="n">only</span><span class="w"> </span><span class="ow">when</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">word</span><span class="w"> </span><span class="n">promiscuous</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">added</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">auth</span><span class="w"> </span><span class="n">component</span><span class="w"> </span><span class="n">line</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">your</span><span class="w"> </span><span class="nc">PAM</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">particular</span><span class="w"> </span><span class="n">service</span><span class="w"> </span><span class="p" data-group-id="7242689394-2">(</span><span class="n">e</span><span class="o">.</span><span class="n">g</span><span class="o">.</span><span class="p">,</span><span class="w"> </span><span class="n">rlogin</span><span class="p" data-group-id="7242689394-2">)</span><span class="o">.</span></code></pre><p>EXAMPLES</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">Below</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">some</span><span class="w"> </span><span class="n">example</span><span class="w"> </span><span class="o">/</span><span class="n">etc</span><span class="o">/</span><span class="n">host</span><span class="o">.</span><span class="n">equiv</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="err">~</span><span class="o">/</span><span class="o">.</span><span class="n">rhosts</span><span class="w"> </span><span class="n">files</span><span class="o">.</span><span class="w">

   </span><span class="nc">Allow</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">log</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="ss">host</span><span class="p">:</span><span class="w">

       </span><span class="o">+</span><span class="w">

   </span><span class="nc">Allow</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">matching</span><span class="w"> </span><span class="n">local</span><span class="w"> </span><span class="n">account</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">log</span><span class="w"> </span><span class="ss">in</span><span class="p">:</span><span class="w">

       </span><span class="n">host</span><span class="w">

   </span><span class="ss">Note</span><span class="p">:</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="o">+</span><span class="n">host</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">never</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">valid</span><span class="w"> </span><span class="n">syntax</span><span class="p">,</span><span class="w"> </span><span class="n">including</span><span class="w"> </span><span class="n">attempting</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">specify</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">allowed</span><span class="o">.</span><span class="w">

   </span><span class="nc">Allow</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">log</span><span class="w"> </span><span class="ss">in</span><span class="p">:</span><span class="w">

       </span><span class="n">host</span><span class="w"> </span><span class="o">+</span><span class="w">

   </span><span class="ss">Note</span><span class="p">:</span><span class="w"> </span><span class="n">this</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">distinct</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">previous</span><span class="w"> </span><span class="n">example</span><span class="w"> </span><span class="n">since</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">does</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="kn">require</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">matching</span><span class="w"> </span><span class="n">local</span><span class="w"> </span><span class="n">account</span><span class="o">.</span><span class="w">

   </span><span class="nc">Allow</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">log</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">non</span><span class="o">-</span><span class="n">root</span><span class="w"> </span><span class="ss">user</span><span class="p">:</span><span class="w">

       </span><span class="n">host</span><span class="w"> </span><span class="n">user</span><span class="w">

   </span><span class="nc">Allow</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">matching</span><span class="w"> </span><span class="n">local</span><span class="w"> </span><span class="n">accounts</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">log</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">except</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="ss">baduser</span><span class="p">:</span><span class="w">

       </span><span class="n">host</span><span class="w"> </span><span class="o">-</span><span class="n">baduser</span><span class="w">
       </span><span class="n">host</span><span class="w">

   </span><span class="nc">Deny</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="ss">host</span><span class="p">:</span><span class="w">

       </span><span class="o">-</span><span class="n">host</span><span class="w">

   </span><span class="ss">Note</span><span class="p">:</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="kn">use</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="o">-</span><span class="n">host</span><span class="w"> </span><span class="o">-</span><span class="n">user</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">never</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">valid</span><span class="w"> </span><span class="n">syntax</span><span class="p">,</span><span class="w"> </span><span class="n">including</span><span class="w"> </span><span class="n">attempting</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">specify</span><span class="w"> </span><span class="n">that</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">particular</span><span class="w"> </span><span class="n">user</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">trusted</span><span class="o">.</span><span class="w">

   </span><span class="nc">Allow</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">matching</span><span class="w"> </span><span class="n">local</span><span class="w"> </span><span class="n">accounts</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">hosts</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="ss">netgroup</span><span class="p">:</span><span class="w">

       </span><span class="o">+</span><span class="na">@netgroup</span><span class="w">

   </span><span class="nc">Disallow</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">hosts</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="ss">netgroup</span><span class="p">:</span><span class="w">

       </span><span class="o">-</span><span class="na">@netgroup</span><span class="w">

   </span><span class="nc">Allow</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">netgroup</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">log</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">host</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">any</span><span class="w"> </span><span class="n">non</span><span class="o">-</span><span class="n">root</span><span class="w"> </span><span class="ss">user</span><span class="p">:</span><span class="w">

       </span><span class="n">host</span><span class="w"> </span><span class="o">+</span><span class="na">@netgroup</span><span class="w">

   </span><span class="nc">Allow</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">users</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">matching</span><span class="w"> </span><span class="n">local</span><span class="w"> </span><span class="n">accounts</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">all</span><span class="w"> </span><span class="n">hosts</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">netgroup</span><span class="w"> </span><span class="n">except</span><span class="w"> </span><span class="ss">baduser</span><span class="p">:</span><span class="w">

       </span><span class="o">+</span><span class="na">@netgroup</span><span class="w"> </span><span class="o">-</span><span class="n">baduser</span><span class="w">
       </span><span class="o">+</span><span class="na">@netgroup</span><span class="w">

   </span><span class="ss">Note</span><span class="p">:</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">deny</span><span class="w"> </span><span class="n">statements</span><span class="w"> </span><span class="n">must</span><span class="w"> </span><span class="n">always</span><span class="w"> </span><span class="n">precede</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">allow</span><span class="w"> </span><span class="n">statements</span><span class="w"> </span><span class="n">because</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">processed</span><span class="w"> </span><span class="n">sequentially</span><span class="w"> </span><span class="n">until</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">first</span><span class="w"> </span><span class="n">matching</span><span class="w"> </span><span class="n">rule</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">found</span><span class="o">.</span></code></pre><p>SEE ALSO</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">rhosts</span><span class="p" data-group-id="3265547194-1">(</span><span class="mi">5</span><span class="p" data-group-id="3265547194-1">)</span><span class="p">,</span><span class="w"> </span><span class="n">rlogind</span><span class="p" data-group-id="3265547194-2">(</span><span class="mi">8</span><span class="p" data-group-id="3265547194-2">)</span><span class="p">,</span><span class="w"> </span><span class="n">rshd</span><span class="p" data-group-id="3265547194-3">(</span><span class="mi">8</span><span class="p" data-group-id="3265547194-3">)</span></code></pre><p>Linux man-pages 6.03                                                         2023-02-05                                                               hosts.equiv(5)</p>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="hosts-deny.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
hosts.deny
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="hosts.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
hosts
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
